:root{
    --width: 400px;
    --height: 600px;
    --border-space: 1em;
    --border-space2: 1.2em;
    --speed: 1s;
    --level1: translateZ(2em);
    --level2: translateZ(4em);
    --level3: translateZ(6em);
}

body{
    display: grid;
    place-content: center;
    font-family: Arial;
    height: 100vh;
}

*, 
*::before, 
*::after
{
    box-sizing: border-box;
    margin: 0;
}

.card {
    overflow: hidden;
    border-radius: 15px;
    width: var(--width);
    
    .content {
        position: relative;
        transform-style: preserve-3d;
        transition:  transform var(--speed);
        padding: 15em 5em;
        
        .front,
        .back{
            backface-visibility: hidden;
            transform-style: preserve-3d;
            position: absolute;
            top: 0px;
            left: 0px;
            right: 0px;
            bottom: 0px;
            display: grid;
            place-content: center;
            /* justify-content: center;
            align-items: center; */
            text-align: center;
            background-size: cover;
            
            .title{
                font-size: 20px;
                transform: var(--level3);
                order: 2;
            }
            
            .body
            {
                font-size: 12px;
                transform: var(--level2);
            }

           


            &::before{
                display:block;
                content:'';
                position: absolute;
                top: var(--border-space);
                left: var(--border-space);
                bottom: var(--border-space);
                right: var(--border-space);
                transform: var(--level1);
                border: 2px double #333;
            }

            &::after{
                display:block;
                content:'';
                position: absolute;
                top: var(--border-space2);
                left: var(--border-space2);
                bottom: var(--border-space2);
                right: var(--border-space2);
                transform: var(--level1);
                border: 2px double #333;
            }

            .button{
                /* position: relative; */
                z-index: 10;
            }
        }

        .front{
            background-blend-mode: overlay;
            background-color: orange;
            background-image: url("https://www.google.com/url?sa=i&url=https%3A%2F%2Fpixabay.com%2Fimages%2Fsearch%2Fwaterfall%2F&psig=AOvVaw35w5d3c58cQtY80kqKZUxz&ust=1698035336235000&source=images&cd=vfe&ved=0CBEQjRxqFwoTCPiFlOPoiIIDFQAAAAAdAAAAABAE");
        }

        .back{
            background-color: red;
            transform: rotateY(0.5turn);
        }

    }

    &:hover{
        
        .content{
            transform: rotateY(.5turn);
        }
            
    }
}

